#!/bin/bash


# Hack
#source /usr/share/modules/init/bash


# Load modules
#module load mpt
#module load openfoam


# Go to the case directory
cd $PBS_O_WORKDIR

# Read some variables
echo $PBS_O_WORKDIR
#source ~/openfoam_smp_intel.sh
#source ~/openfoam_intel.sh


# Create mesh
blockMesh                                      > output/1-blockMesh.log 2>&1
decomposePar                                   > output/2-decomposePar.log 2>&1

cd $PBS_O_WORKDIR
#pwd
#set -x
source config
#NPROCS=`expr $TOPO \* 16 `
NPROCS=$(($TOPO*16))
#echo 'before run'

# Run analysis
TIC=`date +%s.%N`
#mpiexec -n $NPROCS  icoFoam -parallel       > output/3-icoFoam.log 2>&1
which mpirun
which icoFoam
#which libPstream.so
mpirun -np $NPROCS --hostfile $PBS_NODEFILE icoFoam -parallel       > output/3-icoFoam.log 2>&1
TOC=`date +%s.%N`


# Write time result to file
RTIME=`echo "$TOC - $TIC" | bc -l`
echo "$SIZE  $TOPO  $RTIME" >> ../$RESULTS_FILE

reconstructPar
# Remove process folders
#rm -rf processor*

# Clean up mesh (to save disk space)
#./Allclean
